import processing.core.*;
import processing.video.*;

public class CaptureThread extends Thread {
  Capture myCapture;
  SwarmHunger invoker;
  PGraphics target;
  
  public CaptureThread(SwarmHunger invoking, PGraphics canvas) {
    invoker = invoking;
    target = canvas;
  }
  
  public void run() {
    myCapture = new Capture(invoker, invoker.width, invoker.height, 30);
    while(true) {
      myCapture.read();
      target.beginDraw();
      target.image(myCapture,0,0);
      target.endDraw();
      invoker.newFrame = true;
    }
  }
}